Summary: General purpose cryptographic library based on the code from GnuPG
Name: libgcrypt
Version: 1.11.0
Release: r0
License: LGPL-2.1-or-later & BSD-3-Clause
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://directory.fsf.org/project/libgcrypt/
Source0: no-bench-slope.patch
Source1: libgcrypt-1.11.0.tar.bz2
Source2: 0001-libgcrypt-fix-m4-file-for-oe-core.patch
Source3: no-native-gpg-error.patch
Source4: run-ptest
Source5: 0002-libgcrypt-fix-building-error-with-O2-in-sysroot-path.patch
Source6: 0004-tests-Makefile.am-fix-undefined-reference-to-pthread.patch
Source7: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: libcap
BuildRequires: libgpg-error
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.25)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libgcrypt.so.20()(64bit)
Requires: libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires: libgpg-error >= 1.51
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.25)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libcap >= 2.73
Requires(post): libcap.so.2()(64bit)
Requires(post): libgcrypt.so.20()(64bit)
Requires(post): libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires(post): libgpg-error >= 1.51
Requires(post): libgpg-error.so.0()(64bit)
Requires(post): libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires(post): rtld(GNU_HASH)
Provides: libgcrypt.so.20()(64bit)
Provides: libgcrypt.so.20(GCRYPT_1.6)(64bit)

%description
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.

%package -n libgcrypt-src
Summary: General purpose cryptographic library based on the code from GnuPG - Source files
License: GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause
Group: devel

%description -n libgcrypt-src
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.  This package contains sources for debugging
purposes.

%package -n libgcrypt-dbg
Summary: General purpose cryptographic library based on the code from GnuPG - Debugging files
License: GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause
Group: devel
Recommends: glibc-dbg
Recommends: libcap-dbg
Recommends: libgpg-error-dbg

%description -n libgcrypt-dbg
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n libgcrypt-ptest
Summary: General purpose cryptographic library based on the code from GnuPG - Package test files
License: GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause
Group: devel
Requires: /bin/sh
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgcrypt >= 1.11.0
Requires: libgcrypt.so.20()(64bit)
Requires: libgcrypt.so.20(GCRYPT_1.6)(64bit)
Requires: libgpg-error >= 1.51
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires: rtld(GNU_HASH)
Recommends: ptest-runner

%description -n libgcrypt-ptest
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.  This package contains a test directory
/usr/lib/libgcrypt/ptest for package test purposes.

%package -n libgcrypt-staticdev
Summary: General purpose cryptographic library based on the code from GnuPG - Development files (Static Libraries)
License: GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause
Group: devel
Requires: libgcrypt-dev = 1.11.0-r0

%description -n libgcrypt-staticdev
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.  This package contains static libraries for software
development.

%package -n libgcrypt-dev
Summary: General purpose cryptographic library based on the code from GnuPG - Development files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: /bin/sh
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgcrypt
Requires: libgpg-error-dev
Requires: rtld(GNU_HASH)
Recommends: glibc-dev
Recommends: libcap-dev
Recommends: libgcrypt = 1.11.0-r0
Recommends: libgpg-error-dev

%description -n libgcrypt-dev
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.  This package contains symbolic links, header files,
and related items necessary for software development.

%package -n libgcrypt-doc
Summary: General purpose cryptographic library based on the code from GnuPG - Documentation files
License: GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause
Group: doc

%description -n libgcrypt-doc
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.  This package contains documentation.

%package -n libgcrypt-locale
Summary: General purpose cryptographic library based on the code from GnuPG
License: GPL-2.0-or-later & LGPL-2.1-or-later & BSD-3-Clause
Group: libs

%description -n libgcrypt-locale
A cryptography library developed as a separated module of GnuPG. It can
also be used independently of GnuPG, but depends on its error-reporting
library Libgpg-error.

%post
# libgcrypt - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/lib/libgcrypt.so.20.5.0"
%attr(777,root,root) "/usr/lib/libgcrypt.so.20"
%attr(755,root,root) "/usr/bin/mpicalc"

%files -n libgcrypt-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0/tests"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0/src"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0/compat"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0/mpi"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0/cipher"
%attr(755,root,root) %dir "/usr/src/debug/libgcrypt/1.11.0/random"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/pkcs1v2-v15s.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/pkcs1v2.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/version.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-mpi-point.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/pkcs1v2-oaep.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/keygen.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/aeswrap.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/hashtest.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-lock.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/stopwatch.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/fips186-dsa.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-ed25519.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/curves.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-common.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/mpitests.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-sexp.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/pkcs1v2-v15c.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-kdf.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/pubkey.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/basic.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/benchmark.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/testdrv.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-mpi-bit.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/random.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-x448.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/keygrip.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/dsa-rfc6979.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-convert.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-ed448.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/hmac.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/prime.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-secmem.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/t-cv25519.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/tests/pkcs1v2-pss.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/fips.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/stdmem.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/stdmem.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/hmac256.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/hmac256.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/context.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/mpi.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/gcrypt-int.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/hwfeatures.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/cipher-proto.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/dumpsexp.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/cipher.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/context.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/secmem.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/const-time.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/gcrypt-testapi.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/misc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/ec-context.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/const-time.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/global.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/types.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/gcrypt.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/secmem.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/sexp.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/visibility.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/mpicalc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/src/g10lib.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/compat/libcompat.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/compat/compat.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpiutil.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-const-time.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-mul.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-lshift.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-mul.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-sub1.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-cmp.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-mul2.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-inline.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-gcd.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/ec-ed25519.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-inv.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-mul1.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-mpow.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-div.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-add.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mod-source-info.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-div.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/ec.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-rshift.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpicoder.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-mod.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-bit.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-pow.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-mul3.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpih-add1.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/mpi/mpi-scan.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-eax.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kdf-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sntrup761.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/gost28147.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sha512.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sntrup761.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/bithelp.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kyber.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/camellia.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-siv.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/keccak.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/tiger.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-aeswrap.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/md.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/dsa-common.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rfc2268.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-cbc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sha256.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mac.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mac-poly1305.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cast5.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kyber-kdep.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-gcm-siv.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kem.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/primegen.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/stribog.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-ofb.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/keccak_permute_64.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/idea.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/bufhelp.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/serpent.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/blake2.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-xts.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/poly1305.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/md5.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sha1.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rijndael-tables.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/hash-common.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/twofish.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mac-gmac.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sm3.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mceliece6688128f.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-misc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-ctr.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-ecdh.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-curves.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rsa-common.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rijndael-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kdf.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-common.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/seed.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/chacha20.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/pubkey-util.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-ecdsa.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mac-hmac.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-eddsa.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/scrypt.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mac-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-cfb.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/camellia-glue.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rmd160.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/bulkhelp.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/pubkey.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-gcm.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sha1.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-poly1305.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rsa.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kyber-common.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/salsa20.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/dsa.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/crc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/gost-sb.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-ocb.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-sm2.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/whirlpool.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mceliece6688128f.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/arcfour.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/aria.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc-gost.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/gostr3411-94.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/md4.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/ecc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/blowfish.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/des.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/elgamal.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/rijndael.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/hash-common.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kem-ecc.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/sm4.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/camellia.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/poly1305-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kyber.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/gost.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/mac-cmac.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/kem-ecc.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/pubkey-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-ccm.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/cipher/cipher-cmac.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/rndhw.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-sha3.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-base-user.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-sha3.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/random-drbg.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-base.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-health.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-health.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-timer.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/rndgetentropy.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/random.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/random-csprng.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/random-system.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-gcd.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/random.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/jitterentropy-noise.c"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/rand-internal.h"
%attr(644,root,root) "/usr/src/debug/libgcrypt/1.11.0/random/rndjent.c"

%files -n libgcrypt-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) %dir "/usr/lib/libgcrypt"
%attr(755,root,root) "/usr/lib/.debug/libgcrypt.so.20.5.0"
%attr(755,root,root) %dir "/usr/lib/libgcrypt/ptest"
%attr(755,root,root) %dir "/usr/lib/libgcrypt/ptest/.debug"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-x448"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/dsa-rfc6979"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/version"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/benchmark"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-convert"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/pubkey"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/aeswrap"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/hashtest"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/basic"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/hmac"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/curves"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-ed448"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/keygen"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/mpitests"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/keygrip"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-cv25519"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-mpi-bit"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-secmem"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/fips186-dsa"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/pkcs1v2"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-mpi-point"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-ed25519"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-sexp"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/testdrv"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-kdf"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/random"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/prime"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/.debug/t-lock"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/dumpsexp"
%attr(755,root,root) "/usr/bin/.debug/mpicalc"
%attr(755,root,root) "/usr/bin/.debug/hmac256"

%files -n libgcrypt-ptest
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/libgcrypt"
%attr(755,root,root) %dir "/usr/lib/libgcrypt/ptest"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-x448"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/dsa-rfc6979"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/version"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/benchmark"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-convert"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/pubkey"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/aeswrap"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/hashtest"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/basic"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/hmac"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/curves"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-ed448"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/keygen"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/mpitests"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/keygrip"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-cv25519"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-mpi-bit"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-secmem"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/run-ptest"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/fips186-dsa"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/pkcs1v2"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-ed25519.inp"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-mpi-point"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-ed25519"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-sexp"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/testdrv"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-ed448.inp"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-kdf"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/random"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/prime"
%attr(755,root,root) "/usr/lib/libgcrypt/ptest/t-lock"

%files -n libgcrypt-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/share"
%attr(644,root,root) "/usr/include/gcrypt.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libgcrypt.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libgcrypt.pc"
%attr(755,root,root) "/usr/bin/dumpsexp"
%attr(755,root,root) "/usr/bin/hmac256"
%attr(755,root,root) "/usr/bin/libgcrypt-config"
%attr(755,root,root) %dir "/usr/share/aclocal"
%attr(644,root,root) "/usr/share/aclocal/libgcrypt.m4"

%files -n libgcrypt-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/hmac256.1"
%attr(644,root,root) "/usr/share/info/gcrypt.info-1"
%attr(644,root,root) "/usr/share/info/gcrypt.info-2"
%attr(644,root,root) "/usr/share/info/gcrypt.info"

%%prep
echo "include logs and patches, Please check them in SOURCES"

